> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses Endpoint

> Legacy OpenAI responses endpoint with context injection and memory management.

This endpoint provides:
- Automatic context injection from memories and knowledge
- Memory management and retrieval
- Cost optimization through intelligent context management
- Zero code changes required for existing OpenAI clients



## OpenAPI

````yaml api-reference/openapi.json post /api/v1/responses
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/responses:
    post:
      tags:
        - OpenAI Compatible Endpoint
      summary: Responses Endpoint
      description: >-
        Legacy OpenAI responses endpoint with context injection and memory
        management.


        This endpoint provides:

        - Automatic context injection from memories and knowledge

        - Memory management and retrieval

        - Cost optimization through intelligent context management

        - Zero code changes required for existing OpenAI clients
      operationId: responses_endpoint_api_v1_responses_post
      parameters:
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Responses Endpoint Api V1 Responses Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````